Subject: Re: Results of inconsistencies in reused-address servers

From: Geert Jan de Groot <[email-masked]>
Date: Sun, 11 Jul 1999 17:29:09 +0200

>   BGP routing may carry either copy to Azerbadjan; which one is seen may
>   vary as links come up and down. Confusion will result.
>The only possible remedies (that I can see) that the rest of the world can 
>take to minimize the damage from such a problem are either to firewall off 
>the relevant part using routing reconfiguration (a complex process) or to 
>delete the address from the list of root name servers; this will delete the 
>WHOLE cluster, not just the ones involved in the problem.

It should be possible to put each clone in a separate AS.
This allows one to filter rogue nameservers using existing technology.
The means to do AS-based filtering work well and are well understood.
(and have been used for political purposes before)

This would result in a prefix being announced by multiple ASes,
which isn't exactly preferred, but which is known to work
(at least, it has in situations resulting from unintended errors..)

One could even use routing policy to prefer a 'local' clone
from a remote one.

If people still think this is scary, then let's set up an experiment
like the net-39 classress routing experiment some time ago. 
Such an experiment can be done using any zone; we don't need root
for testing.

Geert Jan

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 14 Jul 99 0:08:05 JST

Geert;

> (at least, it has in situations resulting from unintended errors..)

I think it should work but may make the deployment of routing
registries difficult, unless all the ASes share the same AS
number.

						Masataka Ohta

---

From: Gunnar Lindberg <[email-masked]>
Date: Wed, 14 Jul 1999 13:53:53 +0200 (MET DST)

> (at least, it has in situations resulting from unintended errors..)

This sounds dangerous to me. Having the same root server address
originating from many different ASes means that you config for

    "Inconsistant AS_PATH"

While it is true that this does work with some (several?, all?) BGP
implementations (e.g. cisco), it seems like looking for trouble to
allow it (let alone recommend in an RFC) - unless you can prove from
the BGP RFCs that it is NOT permissible to drop such routes. I can't.

	Gunnar Lindberg